<?php
require_once 'HTML/Template/PHPLIB/Generator.php';

/**
 * Test class for HTML_Template_PHPLIB_Generator.
 * Generated by PHPUnit on 2007-10-03 at 21:44:43.
 */
class HTML_Template_PHPLIB_GeneratorTest extends PHPUnit_Framework_TestCase {
    /**
     */
    public function testGetBlocks()
    {
        $strTemplate = <<<EOT
<!-- BEGIN one -->
 <!-- BEGIN three -->
  <!-- BEGIN four -->
   <!-- BEGIN six -->
    some text
   <!-- END six -->
  <!-- END four -->
 <!-- END three -->
 <!-- BEGIN five -->
 <!-- END five -->
<!-- END one -->
<!-- BEGIN two -->
<!-- END two -->
EOT;
        $arBlocks = HTML_Template_PHPLIB_Generator::getBlocks(
            HTML_Template_PHPLIB_Helper::splitLines($strTemplate)
        );

        $this->assertEquals(2, count($arBlocks));
        $this->assertArrayHasKey('one', $arBlocks);
        $this->assertArrayHasKey('two', $arBlocks);
        $this->assertEquals(2, count($arBlocks['one']['sub']));
        $this->assertArrayHasKey('three', $arBlocks['one']['sub']);
        $this->assertArrayHasKey('five',  $arBlocks['one']['sub']);
        $this->assertArrayHasKey('four',  $arBlocks['one']['sub']['three']['sub']);
    }//public function testGetBlocks()



    public function testGetTemplateNameFromFilename()
    {
        $this->assertEquals(
            'some',
            HTML_Template_PHPLIB_Generator::getTemplateNameFromFilename(
                'some.tpl'
            )
        );
        $this->assertEquals(
            'order',
            HTML_Template_PHPLIB_Generator::getTemplateNameFromFilename(
                '/path/to/templates/order.mail'
            )
        );
        /*
        //does not work on unix
        $this->assertEquals(
            'mytemplate',
            HTML_Template_PHPLIB_Generator::getTemplateNameFromFilename(
                'C:\\mytemplate.ihtml'
            )
        );
        */
    }//public function testGetTemplateNameFromFilename()
}
?>
